# Uses of Class
org.jsoup.nodes.TextNode

Packages that use TextNode
Package
Description
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.select
Packages to support the CSS-style element selector.

## Uses of TextNode in org.jsoup.nodes

Subclasses of TextNode in org.jsoup.nodes
Modifier and Type
Class
Description
`class`
`CDataNode`
A Character Data node, to support CDATA sections.
Methods in org.jsoup.nodes that return TextNode
Modifier and Type
Method
Description
`TextNode`
TextNode.`clone()`
`static TextNode`
TextNode.`createFromEncoded(String encodedText)`
Create a new TextNode from HTML encoded (aka escaped) data.
`TextNode`
TextNode.`splitText(int offset)`
Split this text node into two nodes at the specified string offset.
`TextNode`
TextNode.`text(String text)`
Set the text content of this text node.
Methods in org.jsoup.nodes that return types with arguments of type TextNode
Modifier and Type
Method
Description
`List<TextNode>`
Element.`textNodes()`
Get this element's child text nodes.

## Uses of TextNode in org.jsoup.select

Methods in org.jsoup.select that return types with arguments of type TextNode
Modifier and Type
Method
Description
`List<TextNode>`
Elements.`textNodes()`
Get `TextNode` nodes that are direct child nodes of the selected elements.